Bug 203842 - sealert spams screen with numerous identical popups
sealert spams screen with numerous identical popups
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2006-08-23 18:51 EDT by Pete Graner
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-25 14:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Graner 2006-08-23 18:51:04 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible: Everytime

Steps to Reproduce: See description below.
Actual results: Watch the spam - you will get a pop up for every identical error

Expected results: Should only get one window for the same AVC

Additional info: I set up on my webserver Ampache (http://www.ampache.org), and
set it off to index my mp3 collection, over the loopback device (ie
http://localhost/script.php), and it started throwing AVCs, so I clicked on the
Penguin with a badge and got spammed with: "SELinux is preventing the http
daemon from connecting to the itself or the relay ports". 

It opened a new window for every mp3 in my collection, so in short I ended up
with ~75,000 open windows and it crashed X.
Comment 1 John Dennis 2006-08-23 19:13:14 EDT
This is a known issue and a fix has already been implemented, but we're still
testing before we push out a new rpm. There should be a new rpm available with
the fix in a day or so.
Comment 2 John Dennis 2006-08-25 14:32:05 EDT
The latest versions of setroubleshoot no longer use the popup dialog, we've
moved to using only the "browser". In addition, one of the causes was something
we refer to a "signature inflation" where every AVC gets tagged as a new problem
instead of being accumulated, that also has been fixed. So I'm closing this bug
as the whole issue has become moot.

Note You need to log in before you can comment on or make changes to this bug.